function [xp,yp,zp] = rotate(x,y,z,aij);

% 
% 
% 
% 
% INPUTS
%   aij     is the input matrix defined in the usual wau, aij
% 
% OUTPTS
%   xp,yp,zp transformed components in column vector form

%% I/O
if nargin < 3
    display('too few input arguments')
    return
end

[m,n] = size(x);
if m>n
    x=x';
end
[m,n] = size(y);
if m>n
    y=y';
end
[m,n] = size(z);
if m>n
    z=z';
end

xpypzp = aij*[x;y;z];
xp = xpypzp(1,:)';
yp = xpypzp(2,:)';
zp = xpypzp(3,:)';